For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
  • TRANSAK STREAM ON-RAMP API
    • End Points
    • POSTCreate VBA
    • GETGet VBA List
    • GETGet VBA by ID
    • PUTUpdate VBA
    • DELDelete VBA
    • POSTAdd Remitter Account
    • PATCHUpdate Remitter Account
Dashboard
LogoLogo
TRANSAK STREAM ON-RAMP API

Delete VBA

||View as Markdown|
DELETE
https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/:virtualBankId
DELETE
/api/v2/onramp-stream/vba/:virtualBankId
$curl -X DELETE https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId \
> -H "x-api-key: x-api-key"
1{
2 "data": {
3 "id": "698475e474c810f090ee01fd",
4 "status": "INACTIVE",
5 "source": null,
6 "destination": null,
7 "message": "Account deleted successfully."
8 }
9}

Delete (deactivate) a Virtual Bank Account (VBA).

Was this page helpful?
Previous

Update VBA

Next

Add Remitter Account

Built with

Path parameters

virtualBankIdstringRequired
Generated Virtual Bank Identifier

Headers

x-api-keystringRequired
Your Api Key, which you can get from the Transak Partner Dashboard for the respective environment
authorizationstringOptionalDefaults to YOUR_USER_AUTH_TOKEN

The authorization token is the accessToken returned by the WhiteLabel API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptionalDefaults to USER_EMAIL_ID

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Response

dataobject

Errors

404
Not Found Error
500
Internal Server Error